Хостинг серверов Minecraft playvds.com
  1. Этот сайт использует файлы cookie. Продолжая пользоваться данным сайтом, Вы соглашаетесь на использование нами Ваших файлов cookie. Узнать больше.
  2. Вы находитесь в русском сообществе Bukkit. Мы - администраторы серверов Minecraft, разрабатываем собственные плагины и переводим на русский язык плагины наших собратьев из других стран.
    Скрыть объявление

Как адаптировать старый плагин под новую версию Minecraft?

Тема в разделе "Управление сервером Bukkit", создана пользователем VladAir_O, 25 дек 2013.

  1. Автор темы
    VladAir_O

    VladAir_O Участник Пользователь

    Баллы:
    43
    Имя в Minecraft:
    Air_O
    Всем доброго времени суток. Я столкнулся с такой проблемой: Сервер (Ядро Spigot) 1.7.4, плагин Heroes 1.6 - выдает ошибку. Возможно ли как то адаптировать этот плагин под новую версию мк, заранее спасибо)
     
    Vedroyder и МаКсаН09 нравится это.
  2. Хостинг MineCraft
    <
  3. МаКсаН09

    МаКсаН09 Старожил Пользователь

    Баллы:
    103
    Skype:
    maksan392
    Имя в Minecraft:
    maksan09
    Меня тоже это волнует.
    Скорее всего я знаю как.
    Брать src с GitHub(обычно ссылку на src указывают на страничке плагина) и в либы вставлять новую версию CB...
    Я думаю так...
     
    ПриветОтЛайки нравится это.
  4. Автор темы
    VladAir_O

    VladAir_O Участник Пользователь

    Баллы:
    43
    Имя в Minecraft:
    Air_O
    Сникерсни нравится это.
  5. МаКсаН09

    МаКсаН09 Старожил Пользователь

    Баллы:
    103
    Skype:
    maksan392
    Имя в Minecraft:
    maksan09
  6. Автор темы
    VladAir_O

    VladAir_O Участник Пользователь

    Баллы:
    43
    Имя в Minecraft:
    Air_O
    2-летней давности исходники:D Но все равно, спасибо)))))
     
  7. oleg57zls

    oleg57zls Старожил Пользователь

    Баллы:
    173
    Skype:
    BlayzerQ
    Имя в Minecraft:
    Blayzer
    Без исходников никак, можно конечно их самому получить, но это будет долго!
    Берете исходники, открываете в редакторе ява кода и импортируете в либы бакит айпи. далее меняете все переменные на новую версию. (Эклипс подскажет ;3)
     
  8. Автор темы
    VladAir_O

    VladAir_O Участник Пользователь

    Баллы:
    43
    Имя в Minecraft:
    Air_O
    Не получается что то( Не мог бы кто нибудь расписать все от А до Я, весь порядок действий, чтобы плагин работал без ошибок)
     
  9. oleg57zls

    oleg57zls Старожил Пользователь

    Баллы:
    173
    Skype:
    BlayzerQ
    Имя в Minecraft:
    Blayzer
    Я же написал -_-
     
  10. Автор темы
    VladAir_O

    VladAir_O Участник Пользователь

    Баллы:
    43
    Имя в Minecraft:
    Air_O
    Я просто вас не совсем понял, у меня есть исходники, есть Eclipse, есть Bukkit, что дальше?)
    Я импортировал исходники, но не пойму что нужно исправлять..
     
    Последнее редактирование: 25 дек 2013
    Сникерсни нравится это.
  11. RikkiLook

    RikkiLook Старожил

    Баллы:
    173
    Перенесено.
     
    ПриветОтЛайки нравится это.
  12. Breivik

    Breivik Старожил Пользователь

    Баллы:
    103
    переписать код -_- не весь но части
     
  13. Автор темы
    VladAir_O

    VladAir_O Участник Пользователь

    Баллы:
    43
    Имя в Minecraft:
    Air_O
    Если бы я знал, я бы не спрашивал, верно? Ткните мне пальцем что исправлять и где) для этого я и создал тему)))
     
  14. Breivik

    Breivik Старожил Пользователь

    Баллы:
    103
    ну знач так начнем сначала) берешь толстый справочник Шилдта и читаешь с пониманием, во время прочтена набиваешь руку всякой интересной фигней (как я например нейронными сетями и другими интересностями типа ИИ) и через пару месяцев сможешь перевести плагин на другую версию, да еще и оптимизировать и + написать десяток своих :D
     
  15. Автор темы
    VladAir_O

    VladAir_O Участник Пользователь

    Баллы:
    43
    Имя в Minecraft:
    Air_O
    Я не понимаю на что заменять строки, которые устарели как бы
     
    ПриветОтЛайки нравится это.
  16. oleg57zls

    oleg57zls Старожил Пользователь

    Баллы:
    173
    Skype:
    BlayzerQ
    Имя в Minecraft:
    Blayzer
    Эклипс сам все заменит, вам лишь нужно на ошибку кликнуть и выбрать нужное -_-
     
    ВремяПриключений нравится это.
  17. Автор темы
    VladAir_O

    VladAir_O Участник Пользователь

    Баллы:
    43
    Имя в Minecraft:
    Air_O
    Код:
    :37] [Server thread/INFO]: [Heroes] Enabling Heroes v1.5.5-SNAPSHOT
    [21:01:37] [Server thread/INFO]: [Heroes] You are running Heroes on MC v1.6.4
    [21:01:37] [Server thread/ERROR]: [Heroes] You're attempting to run Heroes on an incompatible version of CraftBukkit or Minecraft!
    [21:01:37] [Server thread/ERROR]: [Heroes] This version of Heroes is compatible with MC 1.6.4
    [21:01:37] [Server thread/INFO]: [Heroes] Disabling Heroes v1.5.5-SNAPSHOT
    [21:01:37] [Server thread/ERROR]: Error occurred while disabling Heroes v1.5.5-SNAPSHOT (Is it up to date?)
    java.lang.NullPointerException
        at com.herocraftonline.heroes.Heroes.onDisable(Heroes.java:161) ~[?:?]
        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:220) ~[spigot.jar:git-Spigot-1223]
        at org.bukkit.plugin.java.JavaPluginLoader.disablePlugin(JavaPluginLoader.java:481) [spigot.jar:git-Spigot-1223]
        at org.bukkit.plugin.SimplePluginManager.disablePlugin(SimplePluginManager.java:404) [spigot.jar:git-Spigot-1223]
        at com.herocraftonline.heroes.Heroes.onEnable(Heroes.java:180) [Heroes.jar:?]
        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:218) [spigot.jar:git-Spigot-1223]
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:457) [spigot.jar:git-Spigot-1223]
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:385) [spigot.jar:git-Spigot-1223]
        at org.bukkit.craftbukkit.v1_7_R1.CraftServer.loadPlugin(CraftServer.java:302) [spigot.jar:git-Spigot-1223]
        at org.bukkit.craftbukkit.v1_7_R1.CraftServer.enablePlugins(CraftServer.java:284) [spigot.jar:git-Spigot-1223]
        at net.minecraft.server.v1_7_R1.MinecraftServer.m(MinecraftServer.java:348) [spigot.jar:git-Spigot-1223]
        at net.minecraft.server.v1_7_R1.MinecraftServer.g(MinecraftServer.java:325) [spigot.jar:git-Spigot-1223]
        at net.minecraft.server.v1_7_R1.MinecraftServer.a(MinecraftServer.java:281) [spigot.jar:git-Spigot-1223]
        at net.minecraft.server.v1_7_R1.DedicatedServer.init(DedicatedServer.java:186) [spigot.jar:git-Spigot-1223]
        at net.minecraft.server.v1_7_R1.MinecraftServer.run(MinecraftServer.java:430) [spigot.jar:git-Spigot-1223]
        at net.minecraft.server.v1_7_R1.ThreadServerApplication.run(SourceFile:617) [spigot.jar:git-Spigot-1223]
    [21:01:37] [Server thread/INFO]: Server permissions file permissions.yml is empty, ignoring it
    [21:01:37] [Server thread/INFO]: Done (1,394s)! For help, type "help" or "?"
     
  18. GRAMM4IK

    GRAMM4IK Новичок Пользователь

    Баллы:
    6
    Имя в Minecraft:
    Gramm4ik
    Поставь ядро на 1.12.2 и поставь плагин ProtocolSupport. Он сделает версии с 1.12.2 до 1.4.7 и поставь BlockVersion чтобы заблокать не нужные версии.
     
  19. GRAMM4IK

    GRAMM4IK Новичок Пользователь

    Баллы:
    6
    Имя в Minecraft:
    Gramm4ik
    Зато будут подходить плагины любых версий
     
  20. f0rSee

    f0rSee Ньюби

    Баллы:
    1
    Имя в Minecraft:
    f0rSee
    И правда
     

Поделиться этой страницей